Packages - Bug #2819

icu-parabola required by icedove
2020-06-28 10:21 AM - libreuser

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

# pacman -Syu

error: failed to prepare transaction (could not satisfy dependencies)
removing icu-parabola breaks dependency 'icu-parabola' required by icedove

x64

openrc

History

#1 - 2020-06-29 12:34 AM - bill-auger

try this:

# pacman -Syu —--ignore=icu-65-compat

#2 - 2020-06-29 10:23 PM - doolio

| have a similar and possibly related issue when trying to perform a system upgrade. Current installed version of icu is 65.1-3.0, Icecat version
60.7.0_gnui-2.

error: failed to prepare transaction (could not satisfy dependencies)
:rinstalling icu (67.1-1.0) breaks dependency 'icu<66' required by icecat

#3 - 2020-06-29 10:51 PM - bill-auger

- Status changed from unconfirmed to confirmed

doolio -

your description of the problem can not be completely accurate - icecat 60.7.0_gnu1-2 does not have any conflicts currently - it depends on icu 67

and is installable - off-hand i can only suggest to run “pacman -Syu’ - if you still have trouble, be sure to include the exact command which you typed
in addition to the errors that it produced, and which arch you are runnig

#4 - 2020-06-29 10:52 PM - bill-auger

- Description updated

#5 - 2020-07-01 10:42 AM - bill-auger

- Status changed from confirmed to in progress

icedove v1:68.9.0-1.parabola1 fixes this - x86_64 is in the repos - i686 is still building

#6 - 2020-07-01 09:47 PM - bill-auger

- Assignee set to bill-auger

#7 - 2020-07-01 09:47 PM - bill-auger

- Status changed from in progress to fixed

#8 - 2020-07-02 02:06 PM - libreuser

I-m sorry but | didnt solve it :(

Maybe Should i wait? right?

#9 - 2020-07-03 11:55 PM - bill-auger

- Status changed from fixed to in progress
you are using the nonprism/icedove i686 maybe - i forgot about to upgrade nonprism/icedove

#10 - 2020-07-04 01:33 AM - bill-auger

nonprism/icedove 68.8.0-1.parabola3.nonprism1 also installs for me for x86_64 - your problem must be something different - if you are not using i686,
can you post exact commands and error messages?

#11 - 2020-07-04 04:50 PM - libreuser
Now, error has changed:

LC_ALL=C pacman -—-Syyu
Synchronizing package databases...

nonprism 27.4 KiB 105 KiB/s 00:00 [#######4##4444444444444444444] 1008
nonsystemd 25.8 KiB 172 KiB/s 00:00 [########HH4#H4HH4FH4FHFFHF#H44] 100
libre 341.2 KiB 37.2 KiB/s 00:09 [#######fdadsadsaddsaddsaddfdae44] 1008
core 121.7 KiB 57.1 KiB/s 00:02 [########H#dadadadaasad44a44444] 1003
extra 1551.7 KiB 37.3 KiB/s 00:42 [######4fHH44a4444444444444444] 1008
community 4.7 MiB 75.0 KiB/s 01:05 [########H4ddadsadta4H444444444] 100
pcr 510.7 KiB 135 KiB/s 00:04 [#######4fFHAHFFHHH#FFF4444444] 1002

Starting full system upgrade...
:: Replace icu-parabola with libre/icu-65-compat? [Y/n]
warning: linux-libre: local (5.7.6-1) is newer than libre (5.7.2-1)
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
*:: installing icedove (1:68.9.0-1.parabolal.nonprisml) breaks dependency 'icedove<l:68.8.1' required by icedo
ve—extension-enigmail*

#12 - 2020-07-04 10:54 PM - bill-auger

thats great then - i just need to rebuild enigmail now

#13 - 2020-07-04 10:58 PM - bill-auger

- Status changed from in progress to fixed
